# -*- coding: utf-8 -*-
from django.utils.translation import gettext_lazy as _

children = []
models = [
    {'model_name': 'carriage', 'model_label': _('carriage'), 'model_label_plural': _('carriages')},
    {'model_name': 'delivery', 'model_label': _('delivery'), 'model_label_plural': _('deliveries')},
]

for model in models:
    add_entry = {
        "title": _("add {}").format(model['model_label']),
        "url_name": f"admin:carriage_{model['model_name']}_add",
        "perms": [f"carriage.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": _("{} list").format(model['model_label_plural']),
        "url_name": f"admin:carriage_{model['model_name']}_changelist",
        "perms": [
            f"carriage.view_{model['model_name']}",
            f"carriage.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': _('carriage'),
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'carriage'}},
    'perms': ['carriage.*'],
    'children': children
}]
